"use strict";

var _chai = require("chai");

var _index = require("../index.js");

describe("Test storage", function () {
  var fakeStore;
  beforeEach(function () {
    fakeStore = {};
    global.window = {
      localStorage: {
        getItem: function getItem(k) {
          return fakeStore[k];
        },
        setItem: function setItem(k, v) {
          return fakeStore[k] = v;
        }
      }
    };
  });
  it("basic test", function () {
    (0, _index.localStorage)("a")("b");
    var a = (0, _index.localStorage)("a")();
    (0, _chai.expect)(a).to.equal("b");
  });
  it("basic Storage test", function () {
    var fakeStorage = new _index.Storage(_index.localStorage);
    fakeStorage.set('c', 'd');
    (0, _chai.expect)(fakeStore).to.deep.equal({
      c: '3,"d"'
    });
    var c = fakeStorage.get('c');
    (0, _chai.expect)(c).to.equal('d');
  });
});