import { expect } from "chai";
import { Storage, localStorage } from "../index.mjs";
describe("Test storage", function () {
  var fakeStore;
  beforeEach(function () {
    fakeStore = {};
    global.window = {
      localStorage: {
        getItem: function getItem(k) {
          return fakeStore[k];
        },
        setItem: function setItem(k, v) {
          return fakeStore[k] = v;
        }
      }
    };
  });
  it("basic test", function () {
    localStorage("a")("b");
    var a = localStorage("a")();
    expect(a).to.equal("b");
  });
  it("basic Storage test", function () {
    var fakeStorage = new Storage(localStorage);
    fakeStorage.set('c', 'd');
    expect(fakeStore).to.deep.equal({
      c: '3,"d"'
    });
    var c = fakeStorage.get('c');
    expect(c).to.equal('d');
  });
});